Bug 1085704 - tests failing on big endians
tests failing on big endians
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: slic3r (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker PPCTracker
  Show dependency treegraph
 
Reported: 2014-04-09 03:40 EDT by Dan Horák
Modified: 2015-06-29 15:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 15:59:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2014-04-09 03:40:55 EDT
A test is failing in big endian arches like s390(x) and ppc/ppc64

from build.log:
...
+ cd -
/builddir/build/BUILD/Slic3r-1.0.0
+ SLIC3R_NO_AUTO=1
+ perl Build.PL installdirs=vendor
t/angles.t ........... ok
t/arcs.t ............. skipped: arcs are currently disabled
t/clean_polylines.t .. ok
t/clipper.t .......... ok
t/collinear.t ........ ok
t/combineinfill.t .... ok
t/cooling.t .......... ok
t/custom_gcode.t ..... ok
t/dynamic.t .......... skipped: variable-width paths are currently disabled
#   Failed test 'no missing parts in solid shell when fill_density is 0'
#   at t/fill.t line 252.
#          got: '12'
#     expected: '0'
# Looks like you failed 1 test of 42.
t/fill.t ............. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/42 subtests 
t/gcode.t ............ ok
t/geometry.t ......... ok
t/layers.t ........... ok
t/loops.t ............ skipped: temporarily disabled
t/multi.t ............ ok
t/perimeters.t ....... ok
t/polyclip.t ......... ok
t/print.t ............ ok
t/retraction.t ....... ok
t/shells.t ........... ok
t/skirt_brim.t ....... ok
t/slice.t ............ skipped: temporarily disabled
t/support.t .......... ok
t/svg.t .............. ok
t/thin.t ............. ok
t/threads.t .......... ok
t/vibrationlimit.t ... ok
Test Summary Report
-------------------
t/fill.t           (Wstat: 256 Tests: 42 Failed: 1)
  Failed test:  42
  Non-zero exit status: 1
Files=27, Tests=241, 55 wallclock secs ( 0.09 usr  0.03 sys + 55.73 cusr  0.67 csys = 56.52 CPU)
Result: FAIL
Some tests failed. Please report the failure to the author!
error: Bad exit status from /var/tmp/rpm-tmp.4roGD8 (%check)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.4roGD8 (%check)
Child return code was: 1


for full logs please see
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1374201
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1767561

Version-Release number of selected component (if applicable):
slic3r-1.0.0-0.3.RC2.fc21 is OK
slic3r-1.0.0-0.4.RC3.fc21 is BROKEN, newer are broken too
Comment 1 Miro Hrončok 2014-04-09 05:41:12 EDT
Honestly, I have no idea how to fix this. I will report this upstream, but chances are, the bug is in some of the used Perl module.

Looking at [1] it is clear the test was introduced there and that's the reason why it was OK on RC2.

[1] https://github.com/alexrj/Slic3r/compare/1.0.0RC2...1.0.0RC3
Comment 2 Miro Hrončok 2014-04-09 05:45:42 EDT
Reported https://github.com/alexrj/Slic3r/issues/1924
Comment 3 Fedora End Of Life 2015-05-29 07:30:54 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-06-29 15:59:33 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.